This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 828976 - [abrt] shotwell-0.12.3-1.fc17: photo_construct: Process /usr/bin/shotwell was killed by signal 11 (SIGSEGV)
[abrt] shotwell-0.12.3-1.fc17: photo_construct: Process /usr/bin/shotwell was...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:710fdf98e0d57379269c1b2d43f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 12:46 EDT by Harald Jensås
Modified: 2013-08-01 00:01 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:01:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (84.27 KB, text/plain)
2012-06-05 12:46 EDT, Harald Jensås
no flags Details
File: maps (59.94 KB, text/plain)
2012-06-05 12:46 EDT, Harald Jensås
no flags Details
File: dso_list (12.07 KB, text/plain)
2012-06-05 12:46 EDT, Harald Jensås
no flags Details
File: build_ids (5.00 KB, text/plain)
2012-06-05 12:46 EDT, Harald Jensås
no flags Details

  None (edit)
Description Harald Jensås 2012-06-05 12:46:24 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        shotwell
crash_function: photo_construct
executable:     /usr/bin/shotwell
kernel:         3.3.7-1.fc17.x86_64
pid:            28009
pwd:            /home/harald
time:           Tue 05 Jun 2012 09:49:49 AM CEST
uid:            1000
username:       harald

backtrace:      Text file, 86288 bytes
build_ids:      Text file, 5125 bytes
dso_list:       Text file, 12362 bytes
maps:           Text file, 61383 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/harald/2

core_backtrace:
:f8429f1909fce72071ee411de574b8b0f301b313 0x1e48ca photo_construct [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x1f2ffc library_photo_import_create [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x206c76 - [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x7f9da - [exe] -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:f8429f1909fce72071ee411de574b8b0f301b313 0x28cd9c application_start [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x1867d8 library_exec [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x187860 _vala_main [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x748f1 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=fc17-haraldjensas.localhost
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/harald/keyring-sshMFl
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=username
:USERNAME=username
:MAIL=/var/spool/mail/username
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/harald/.local/bin:/home/harald/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/harald
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1249
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/username
:SHLVL=1
:LOGNAME=username
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-MZPGbXEhJc,guid=e0ef4429770d92a8f643572e00000049
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/username
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-username-Rg6OxH/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1253,unix/unix:/tmp/.ICE-unix/1253
:SSH_AUTH_SOCK=/run/user/harald/keyring-sshMFl/ssh
:GPG_AGENT_INFO=/run/user/username/keyring-sshMFl/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/shotwell.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=28009
:	

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30400                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30400                30400                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/harald/.xsession-errors
:pos:	26946
:flags:	0102002
:2:/home/harald/.xsession-errors
:pos:	26946
:flags:	0102002
:3:socket:[902138]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[907304]
:pos:	0
:flags:	02004002
:6:/home/harald/.cache/shotwell/shotwell.log
:pos:	989
:flags:	0100001
:7:socket:[907333]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:/home/harald/.shotwell/data/photo.db
:pos:	6144
:flags:	02100002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[907334]
:pos:	0
:flags:	02004002
:13:socket:[906819]
:pos:	0
:flags:	02004002
:14:pipe:[908596]
:pos:	0
:flags:	00
:15:pipe:[908596]
:pos:	0
:flags:	01
:16:anon_inode:[timerfd]
:pos:	0
:flags:	04002

smolt_data:
:
:
:General
:=================================
:UUID: 9c119afa-ff10-44fb-ae2f-a6db50ca072c
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4788.08
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 520  @ 2.40GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2400
:System Memory: 3819
:System Swap: 2047
:Vendor: Dell Inc.
:System: Latitude E6410 0001
:Form factor: Laptop
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:68:4136:1034) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4136:1034) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(4480:59442:4136:1034) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(4480:58486:4136:1034) pci, yenta_cardbus, PCI/CARDBUS, N/A
:(4480:59426:4136:1034) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(32902:15152:4136:1034) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:10282:4136:1034) pci, ahci, RAID, Mobile 82801 SATA RAID Controller
:(32902:15111:4136:1034) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4136:1034) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:4136:1034) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:4136:1034) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:4136:1034) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4136:1034) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:4136:1034) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:16940:32902:4897) pci, iwlwifi, NETWORK, Centrino Advanced-N 6200 2x2 AGN
:(32902:15174:4136:1034) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(32902:15176:4136:1034) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:4136:1034) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4136:1034) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4136:1034) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15207:4136:1034) pci, serial, 16550_SERIAL, 5 Series/3400 Series Chipset KT Controller
:(4318:3043:4136:1034) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4318:2668:4136:1034) pci, nouveau, VIDEO, GT218 [NVS 3100M]
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_system_home-lv_root / ext4 4096 4096 2559570 625046 599410 647168 469656 469656
:/dev/sda1 /boot ext4 1024 1024 508745 423990 398390 128016 127660 127660
:/dev/mapper/vg_system_home-lv_home /home ext4 4096 4096 26043872 6445294 5141128 6520832 6470647 6470647
:

var_log_messages:
:Jun  4 10:43:01 fc17-haraldjensas yum[1578]: Updated: shotwell-0.12.3-1.fc17.x86_64
:Jun  5 09:49:49 fc17-haraldjensas kernel: [46049.721917] shotwell[28009]: segfault at 18 ip 00000000005e48ca sp 00007fffb485a420 error 4 in shotwell[400000+3cc000]
:Jun  5 09:49:49 fc17-haraldjensas abrt[28026]: Saved core dump of pid 28009 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-06-05-09:49:49-28009 (139001856 bytes)

xsession_errors:
:(shotwell:28009): GLib-GObject-WARNING **: cannot register existing fundamental type `MetadataDateTime' (as `PhotoBackingReaders')
:(shotwell:28009): GLib-CRITICAL **: g_once_init_leave: assertion `result != 0' failed
:(shotwell:28009): GLib-GObject-WARNING **: cannot create new instance of invalid (non-instantiatable) type `<invalid>'
Comment 1 Harald Jensås 2012-06-05 12:46:30 EDT
Created attachment 589582 [details]
File: backtrace
Comment 2 Harald Jensås 2012-06-05 12:46:32 EDT
Created attachment 589583 [details]
File: maps
Comment 3 Harald Jensås 2012-06-05 12:46:35 EDT
Created attachment 589584 [details]
File: dso_list
Comment 4 Harald Jensås 2012-06-05 12:46:37 EDT
Created attachment 589585 [details]
File: build_ids
Comment 5 mp-rh 2012-10-30 18:28:44 EDT
Clicked "import ~/Pictures" from initial hint popup after loading the program the first time. It crashes part way through the import.

backtrace_rating: 4
Package: shotwell-0.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Fedora End Of Life 2013-07-03 20:22:56 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 00:01:47 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.